Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Принтер Epson TX-117  (Прочитано 10533 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн sbrazh

  • Автор темы
  • Новичок
  • *
  • Сообщений: 45
    • Просмотр профиля
Re: Принтер Epson TX-117
« Ответ #30 : 01 Апрель 2016, 21:52:02 »
sbrazh,
Пакеты ставить через то, что вы называете "установщик" ставить плохо, так как вы проблем совсем не видите.
Пакеты гораздо правильнее, быстрее и удобнее ставить командой dpkg -i.
dpkg -i как то устраняет ошибки зависимостей, или подсказывает?
чем она удобнее?
и как этим воспользоватся, чтоб не напортачить, как я?
Извините, если вопрос не на уровне)

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 10839
    • Просмотр профиля
Re: Принтер Epson TX-117
« Ответ #31 : 01 Апрель 2016, 21:54:34 »
sbrazh,
dpkg выдает ошибку, если нет зависимостей. Если сразу после этого запустить

sudo apt-get install -f

и зависимости доступны в репозиториях, то пакет установится вместе со всеми зависимостями.

Стесняюсь спросить, а вы хоть раз sudo apt-get update делали? Если нет, то может быть из-за этого проблема.

А Центр Приложений, которым вы устанавливали пакеты сделан не для этого, а для установки из стандартных репозиториев. Он ничего вообще толком не показывает. И от него в версии 16.04 отказались совсем. Там совсем другой графический "установщик".
« Последнее редактирование: 01 Апрель 2016, 21:58:16 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн sbrazh

  • Автор темы
  • Новичок
  • *
  • Сообщений: 45
    • Просмотр профиля
Re: Принтер Epson TX-117
« Ответ #32 : 01 Апрель 2016, 22:07:15 »
sbrazh,
Стесняюсь спросить, а вы хоть раз sudo apt-get update делали? Если нет, то может быть из-за этого проблема.
Да, поскольку каждый день что-то ставлю и удаляю, то sudo apt-get update - регулярно.
Только, если  я правильно понял, следом требуется sudo apt-get upgrade. Я так делал. Или не верно?

И еще.
sbrazh,
dpkg выдает ошибку, если нет зависимостей. Если сразу после этого запустить

sudo apt-get install -f

и зависимости доступны в репозиториях, то пакет установится вместе со всеми зависимостями.

а если нет, на момент установки, необходимых репозиториев для зависимостей, как поступать?

Пользователь добавил сообщение 01 Апрель 2016, 22:08:00:
надо ж еще найти репозитории

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 10839
    • Просмотр профиля
Re: Принтер Epson TX-117
« Ответ #33 : 01 Апрель 2016, 22:12:50 »
sbrazh,
Цитировать
а если нет, на момент установки, необходимых репозиториев для зависимостей, как поступать?
Ну можно просто удалить пакет командой dpkg -r

Цитировать
надо ж еще найти репозитории
Вот этого как раз и не надо. Речь идет о репозиториях Ubuntu, которые не надо "искать". А ставить зависимости из каких-то сторонних репозиториев - вообще самоубийство. Но этого и не надо практически никогда.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн sbrazh

  • Автор темы
  • Новичок
  • *
  • Сообщений: 45
    • Просмотр профиля
Re: Принтер Epson TX-117
« Ответ #34 : 01 Апрель 2016, 22:19:41 »
т.е. если dpkg -i показывает ошибку зависимостей и sudo apt-get install -f эти ошибки не устраняет, то следует отказаться от пакета и удалить командой dpkg -r ??

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 10839
    • Просмотр профиля
Re: Принтер Epson TX-117
« Ответ #35 : 01 Апрель 2016, 22:25:32 »
sbrazh,
Ну да. Без зависимостей пакет все равно не установится.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн sbrazh

  • Автор темы
  • Новичок
  • *
  • Сообщений: 45
    • Просмотр профиля
Re: Принтер Epson TX-117
« Ответ #36 : 01 Апрель 2016, 22:48:31 »
Спасибо большое Вам за помощь!
Много полезного узнал.
Очень благодарен.

 

Страница сгенерирована за 0.131 секунд. Запросов: 24.